# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Public Member Functions

# vl::VLXClassWrapper_Color Struct Reference

VLX wrapper of vl::Color. More...

`#include <VLXWrappers.hpp>`

Inheritance diagram for vl::VLXClassWrapper_Color:

List of all members.

## Public Member Functions

void | importColor (VLXSerializer &s, const VLXStructure *vlx, Color *obj)
virtual ref< Object > | importVLX (VLXSerializer &s, const VLXStructure *vlx)
void | exportColor (const Color *obj, VLXStructure *vlx)
virtual ref< VLXStructure > | exportVLX (VLXSerializer &s, const Object *obj)

## Detailed Description

VLX wrapper of vl::Color.

Definition at line 2947 of file VLXWrappers.hpp.

## Member Function Documentation

void vl::VLXClassWrapper_Color::importColor | ( | VLXSerializer & | s,
|  | const VLXStructure * | vlx,
|  | Color * | obj
| ) |  | `[inline]`

Definition at line 2949 of file VLXWrappers.hpp.

References vl::VLXValue::ArrayReal, vl::VLXValue::getArrayReal(), vl::VLXStructure::getValue(), vl::Color::setValue(), vl::VLXValue::type(), VLX_IMPORT_CHECK_RETURN, and vl::vlx_vec4().

Referenced by importVLX().

virtual ref<Object> vl::VLXClassWrapper_Color::importVLX | ( | VLXSerializer & | s,
|  | const VLXStructure * | vlx
| ) |  | `[inline, virtual]`

Implements vl::VLXClassWrapper.

Definition at line 2956 of file VLXWrappers.hpp.

References vl::ref< T >::get(), importColor(), and vl::VLXSerializer::registerImportedStructure().

void vl::VLXClassWrapper_Color::exportColor | ( | const Color * | obj,
|  | VLXStructure * | vlx
| ) |  | `[inline]`

Definition at line 2965 of file VLXWrappers.hpp.

References vl::Color::value(), and vl::vlx_toValue().

Referenced by exportVLX().

virtual ref<VLXStructure> vl::VLXClassWrapper_Color::exportVLX | ( | VLXSerializer & | s,
|  | const Object * | obj
| ) |  | `[inline, virtual]`

Implements vl::VLXClassWrapper.

Definition at line 2970 of file VLXWrappers.hpp.

References vl::Object::as(), exportColor(), vl::VLXSerializer::generateID(), vl::VLXSerializer::registerExportedObject(), VL_CHECK, and vl::vlx_makeTag().

The documentation for this struct was generated from the following file:

- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlGraphics/VLXWrappers.hpp

Visualization Library v2011.09.1162 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu Jan 26 2012 00:44:58.
Permission is granted to use this page to write and publish articles regarding Visualization Library.